using System;
using System.Collections.Generic;
using System.Net.Http.Headers;
using System.Text;
using MarketData.Utils;

namespace MarketData.MarketDataModel
{
  public class FundamentalsV2 : Dictionary<String,FundamentalV2>
  {
    public FundamentalsV2()
    {
    }
  }
  public class FundamentalV2
  {
    private String symbol;
    private DateTime asOf;
    private double marketCap;
    private double pe;
    private double ebitda;     
    private double revenuePerShare;    
    private double beta;
    private double betaCalc36;
    private double betaCalc06;

    public FundamentalV2()
    {
    }
    public String Symbol
    {
      get { return symbol; }
      set { symbol = value; }
    }
    public DateTime AsOf
    {
      get { return asOf; }
      set { asOf = value; }
    }
    public double MarketCap
    {
      get { return marketCap; }
      set { marketCap = value; }
    }
    public double PE
    {
      get { return pe; }
      set { pe = value; }
    }
    public double RevenuePerShare
    {
      get { return revenuePerShare; }
      set { revenuePerShare = value; }
    }  
    public double EBITDA
    {
      get { return ebitda; }
      set { ebitda = value; }
    }      
    public double Beta
    {
      get { return beta; }
      set { beta = value; }
    }      
    public double BetaCalc36
    {
      get { return betaCalc36; }
      set { betaCalc36 = value; }
    }      
    public double BetaCalc06
    {
      get { return betaCalc06; }
      set { betaCalc06 = value; }
    }      
  }
}
